aboutsummaryrefslogtreecommitdiffstats
path: root/games/childsplay/files/patch-INSTALL.sh
diff options
context:
space:
mode:
authorpav <pav@FreeBSD.org>2005-04-24 21:31:36 +0800
committerpav <pav@FreeBSD.org>2005-04-24 21:31:36 +0800
commitd3293da69821ce94193ffe7db746ee7e7be622a7 (patch)
treeb7eeca10177130fc7e2e6f870a53cb7684af8419 /games/childsplay/files/patch-INSTALL.sh
parentec9c3d30cd94c56991b1c4ee3599879282fed002 (diff)
downloadfreebsd-ports-graphics-d3293da69821ce94193ffe7db746ee7e7be622a7.tar.gz
freebsd-ports-graphics-d3293da69821ce94193ffe7db746ee7e7be622a7.tar.zst
freebsd-ports-graphics-d3293da69821ce94193ffe7db746ee7e7be622a7.zip
- Update to 0.80.2
- Unbreak PR: ports/80167 Submitted by: bruno <bruno@mail.tinkerbox.org> (maintainer)
Diffstat (limited to 'games/childsplay/files/patch-INSTALL.sh')
-rw-r--r--games/childsplay/files/patch-INSTALL.sh107
1 files changed, 107 insertions, 0 deletions
diff --git a/games/childsplay/files/patch-INSTALL.sh b/games/childsplay/files/patch-INSTALL.sh
new file mode 100644
index 00000000000..67d84ca5157
--- /dev/null
+++ b/games/childsplay/files/patch-INSTALL.sh
@@ -0,0 +1,107 @@
+--- INSTALL.sh.orig Wed Apr 20 10:57:03 2005
++++ INSTALL.sh Wed Apr 20 11:02:16 2005
+@@ -1,5 +1,5 @@
+-#!/bin/bash
++#!/bin/sh
+ # install childsplay.
+ # Be aware that childsplay probably won't work when you edit this file :-(
+ # As of 11/2004 childsplay will be converted to follow the File System
+ # Hierarchy (FSH).
+@@ -21,16 +21,15 @@
+ PYTHON=`which python`
+
+ EXECDIR=$PREFIX/bin
+ LOCALEDIR=$PREFIX/share/locale
+-ASSETMLDIR=/usr/share/assetml
++ASSETMLDIR=$PREFIX/share/gnome/assetml
+ SCOREDIR=/var/games
+ SCOREFILE=$SCOREDIR/childsplay.score
+ DOCDIR=$PREFIX/share/doc/childsplay
+ MANDIR=$PREFIX/man/man6
+-CPDIR=$PREFIX/lib/games/childsplay
++CPDIR=$PREFIX/childsplay
+ SHAREDIR=$PREFIX/share/childsplay
+-BINDIR=$PREFIX/games
+ LIBDIR=$CPDIR/lib
+ MODULESDIR=$LIBDIR
+ SHARELIBDATADIR=$SHAREDIR/lib
+ SHAREDATADIR=$SHAREDIR/Data
+@@ -38,10 +37,8 @@
+
+ HOME_DIR_NAME=.childsplay
+ CHILDSPLAYRC=childsplayrc
+
+-OLDCPDIR=$PREFIX/games/childsplay
+-
+ echo "Making directorys"
+ mkdir -vp $CPDIR
+ mkdir -vp $CPDIR/lib
+ mkdir -vp $DOCDIR
+@@ -51,9 +48,8 @@
+ mkdir -vp $MANDIR
+ mkdir -vp $SHAREDIR
+ mkdir -vp $SHAREDATADIR
+ mkdir -vp $SHARELIBDATADIR
+-mkdir -vp $BINDIR
+ mkdir -vp $EXECDIR
+
+ set -e
+
+@@ -63,13 +59,8 @@
+ echo " You must be root to install the plugins"
+ echo " exit"
+ exit 1
+ fi
+-echo " Looking for obsolete childsplay files in $OLDCPDIR"
+-if [ -e $OLDCPDIR ] && [ -d $OLDCPDIR ]
+-then rm -fr $OLDCPDIR
+- echo " Old files removed"
+-fi
+
+ echo -e "\n>>>>>>>>>>> Install childsplay >>>>>>>>>>>>>>>>>>>>"
+ echo " Installing in $PREFIX"
+
+@@ -83,8 +74,9 @@
+ fi
+ done
+
+ cp -f $CWD/*.py $CPDIR/
++cp -f $CWD/*.pyc $CPDIR/
+
+ echo " Copy misc. data files"
+ for FILE in `ls $CWD/Data`
+ do
+@@ -113,22 +105,14 @@
+ echo " Copy docs"
+ cp -rf $CWD/doc/* $DOCDIR/
+
+ echo " Copy executable and setting permissions."
+-cp -f $CWD/childsplay.sh $BINDIR/childsplay
+ cp -f $CWD/childsplay.sh $EXECDIR/childsplay
+-chmod +x $BINDIR/childsplay
+ chmod +x $EXECDIR/childsplay
+
+ chmod +x $CPDIR/childsplay.py
+ chmod +x $CPDIR/letters-trans.py
+
+-#echo " Looking for the old executable, if any"
+-#if [ -e /usr/local/bin/childsplay ]
+-#then rm -f /usr/local/bin/childsplay
+-# echo "found and removed"
+-#fi
+-
+ echo " Setting the base path in childsplay to $PREFIX"
+ echo "## Automated file please do not edit" > $CPDIR/BASEPATH.py
+ echo "BASEPATH=\"$PREFIX\"" >> $CPDIR/BASEPATH.py
+ echo "EXECDIR=\"$EXECDIR\"" >> $CPDIR/BASEPATH.py
+@@ -157,9 +141,9 @@
+ echo ""
+ echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
+ echo " One thing left todo..."
+ echo " Translating words"
+-$PYTHON $CPDIR/letters-trans.py $ASSETMLDIR
++echo " to translate words run: $PYTHON $CPDIR/letters-trans.py $ASSETMLDIR"
+ echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
+ echo " Be sure to read the README-MEMORY file on how you can"
+ echo " use your own pictures in the memory game."
+ echo ""